Bug 740291 - x86_64 and i386 packages sometimes conflict and sometimes not
Summary: x86_64 and i386 packages sometimes conflict and sometimes not
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: rpm
Version: 5.7
Hardware: All
OS: Linux
high
high
Target Milestone: rc
: ---
Assignee: Panu Matilainen
QA Contact: BaseOS QE Security Team
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-21 14:49 UTC by Bernd Schubert
Modified: 2018-11-26 18:23 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-04-03 02:14:48 UTC


Attachments (Terms of Use)
Yum install without conflicts (4.63 KB, text/plain)
2011-09-21 14:49 UTC, Bernd Schubert
no flags Details
Yum install with conflicts (6.76 KB, text/plain)
2011-09-21 14:50 UTC, Bernd Schubert
no flags Details

Description Bernd Schubert 2011-09-21 14:49:18 UTC
Created attachment 524212 [details]
Yum install without conflicts

Description of problem:

We recently noticed that FhGFS x86_64 and i686 packages not *always* conflict with each other.

Version-Release number of selected component (if applicable):

FhGFS-11.04

How reproducible:


Steps to Reproduce:
1.

Add a file /etc/yum.repos.d/fhgfs-el5.repo:

[FhGFS]
name=FhGFS
baseurl=http://www.fhgfs.com/release/fhgfs_2011.04/dists/rhel5
enabled=1
gpgcheck=0


2.

yum install fhgfs-storage.x86_64 fhgfs-storage.i686

==> No conflict, although files DO conflict.


3.

yum erase fhgfs-storage.x86_64 fhgfs-storage.i686
rpm -e fhgfs-opentk-lib-2011.04-r5.el5.x86_64 fhgfs-common-2011.04-r5.el5.noarch fhgfs-opentk-lib-2011.04-r5.el5.i686


yum install fhgfs-storage
yum install fhgfs-storage.i686

==> This time files conflict!


  
Actual results:

No conflicts in step 1, conflicts in step 3.

Expected results:

Both time conflicts

Additional info:

See attachment.

Comment 1 Bernd Schubert 2011-09-21 14:50:09 UTC
Created attachment 524213 [details]
Yum install with conflicts

Comment 2 Panu Matilainen 2011-09-22 10:45:45 UTC
Yup, rpm 4.4.x permits files to conflict when they occur in the same transaction, but not when the same packages are installed one by one in separate transactions. It's been long long since fixed in later rpm releases, and I thought it went to RHEL 5 too but apparently not...

The behavior is confusing, stupid and just wrong. Ack from my POV to fix it, as long as it doesn't cause too many problems in the RHEL-5 package set (these would be packaging bugs but in the unlikely case that it happened to affect tens/hundreds of packages the fix would just have to be reverted in practise)

Comment 10 jiri vanek 2011-11-23 12:02:52 UTC
This https://bugzilla.redhat.com/show_bug.cgi?id=756304 was probably also casued by fix of this bug.

Comment 22 RHEL Product and Program Management 2012-04-02 10:29:08 UTC
This request was evaluated by Red Hat Product Management for inclusion
in a Red Hat Enterprise Linux release.  Product Management has
requested further review of this request by Red Hat Engineering, for
potential inclusion in a Red Hat Enterprise Linux release for currently
deployed products.  This request is not yet committed for inclusion in
a release.

Comment 23 Panu Matilainen 2012-04-03 02:00:00 UTC
Unfortunately so many existing packages rely on this broken behavior that the cure ends up being worse than the disease for RHEL-5. NAK. Oh well, at least we tried.

Comment 24 RHEL Product and Program Management 2012-04-03 02:14:48 UTC
Development Management has reviewed and declined this request.
You may appeal this decision by reopening this request.


Note You need to log in before you can comment on or make changes to this bug.